Bug 961310 - Missing documentation for org.jboss.as.system-jmx public APIs in javadoc
Missing documentation for org.jboss.as.system-jmx public APIs in javadoc
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondřej Žižka
Jakub Cechacek
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 07:43 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-14 08:27:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-05-09 07:43:45 EDT
Docs for following jar are probably missing:

/org/jboss/as/system-jmx/main/jboss-as-system-jmx-7.2.0.Final-redhat-7.jar
1 missing:
   org.jboss.system

The classification of org.jboss.system-jmx was changes from private to tech-preview in ER7. Thus I suppose its API should be included in javadoc.
Comment 1 Ondřej Žižka 2013-07-18 17:18:59 EDT
I will take a look.
Comment 2 Jakub Cechacek 2013-11-14 08:27:28 EST
Closed as this is no longer an issue for 6.2.0

Note You need to log in before you can comment on or make changes to this bug.